using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class SiteMapCustom : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        int count = SiteMap.RootNode.ChildNodes.Count;
        for (int i = 0; i < count; i++)
        {
            SiteMapNode smNode=SiteMap.RootNode.ChildNodes[i];
            TreeNode tvNode = new TreeNode(smNode.Title, "", "",smNode.Url, "");
            TreeView1.Nodes.Add(tvNode);
            if (smNode.HasChildNodes)
            {
                int childCount=smNode.ChildNodes.Count;
                for (int j = 0; j < childCount; j++)
                {
                    SiteMapNode smChildNode = smNode.ChildNodes[j];
                    TreeNode tvChildNode = new TreeNode(smChildNode.Title, "", "", smChildNode.Url, "");
                    tvNode.ChildNodes.Add(tvChildNode);
                }
            }
        }
    }
}
